<?php

/**
 * @file
 * Contains \Drupal\onpoint_search\Controller\OnPointController.
 */

namespace Drupal\onpoint_search\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Controller routines for OnPoint Search embed code.
 */
class OnPointController extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  public function embed() {
    // Default settings.
    $config = \Drupal::config('onpoint_search.settings');

    // OnPoint Search API key.
    $onpoint_key = $config->get('onpoint_key');

    if ($onpoint_key !== '') {
      $element = [
        '#onpoint_serp' => [
          '#type' => 'onpoint',
          '#markup' => '<div id="onpointsearch-root"></div>',
        ],
        '#theme' => 'onpoint_serp',
      ];

      $element['#onpoint_serp']['#attached']['library'][] = 'onpoint_search/onpoint_search';
      $element['#onpoint_serp']['#attached']['drupalSettings']['onPointSearch']['onPointKey'] = $onpoint_key;

      return $element;
    }
    else {
      \Drupal::logger('onpoint_search')->error('OnPoint API key empty.');
    }

    return;
  }

}
